#!/bin/bash

echo Ez a     szoveg     nagyon sok     szokoz karaktert tartalmaz
echo "Ez a     szoveg     nagyon sok     szokoz karaktert tartalmaz"
echo -n "Nincs sortores a sor vegen."
echo Tenyleg

echo -e "Nincs ujsor a vegen\c"
echo -e "\n" #Sortörés
echo -e "TAB \t TAB \t TAB"

#Nagyjából ezzel mindent elmondtunk az echo parancsról

#A formázott szöveg kivitelhez használjuk a printf parancsot.
#A parancs felépítése:
#printf FORMAT AGR
echo printf

echo %s
printf "%s\n" Irjuk ki ezt a szoveget szavanként "sorokra tordelve."
printf "%s\n" "Az\tescape\tkarakterek\tfigyelembe\tlesznek\nveve?"

#Megoldásként használjuk a %b-t
echo %b
printf "%b\n" "Az\tescape\tkarakterek\tfigyelembe\tlesznek\nveve."


#A formátum megadását tetszőlegesen alakíthatjuk
printf "%s\t gyümölcs \n" alma korte barack szilva ananasz

#A leggyakrabbab használt specifikáció %s %d %f %x
#%d segítségévbel egész számokat írhatunk a képernyőre.
#Egy egész szám lehet decimális, oktális (0-val kezdődik), vagy hexadecimális
#Abban az esetben ha a szám nem valid egész akkor a printf hibát dob.

echo %d
printf "%d\n" 3 65 13.11 0xff 011

#Lebegőpontos számokhoz használjuk a %f jelölést

echo %f
printf "%f\n" 12.34 23 33.23422 3.15

#Exponenciális alak
echo %e
printf "%e\n" 13.67 0.000000000000000011 34423.89876

#Egészszámokat hexadecimális alakba is kiírhatjuk a %x valamint a %X segítségével
echo %x
printf "%x\n" 5 16 17 255 1022

#Szélesség megadása
#Lehet negatív
printf "%-10s gyümölcs\n" alma barack cseresznye  
#Lehet pozitív
printf "%10s gyomolcs\n" alma barack cseresznye

#"Táblázat"
printf "%10d | %10d | %10d |\n" 10 122 1234 44 44 55 676 34343 677 4545 5 111113

#Ha 0val kezdődő számot adunk meg akkor az "üres helyeket" 0val tölti fel
printf "%06d\n" 1 11 111 1111 11111 111111

#Ezzel a módszerrel a szrinek maximális és minimális hosszát is megadhatjuk,
#és a lebegébontos szám egészrész törtrész hosszát is.
printf "| %-10.4s | %8.2f |\n" Johnson 45.2 Jackson 33.452423 Walter 56.76543

# "Változóba írás"
#q3.1 verzó felett megjelent a -v opció, melyel lehetőség van arra, hogy a 
#formázott eredményt ne az outputra, hanem egy változóba írjuk.

printf -v valtozo "%04d" 23
echo $valtozo




 

#Tue Dec 6 13:03:54 CET 2011
#tballa
